Subject: Re: missing git documentation for "git clone --recursive"

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2026 14:01:52 -0800

[email-masked] writes:

> In the git documentation only "--recurse-submodules" is mentioned as 
> allowed argument, but not "--recursive".

Correct.  Do not use it.

In the early days, we mistakenly used "--recursive" to mean
"--recurse-submodules".  

After we realized the mistake, we would have preferred if we could
remove it right away, but in order to avoid breaking existing users,
the command is taught to still notice "--recursive" and behave the
same as "--recurse-submodules", but stopped advertising the former
in "git clone -h" and "git clone --help".

This reminds me.  Perhaps we would want to perform an audit for
such OPT_HIDDEN aliases and remove them at the Git 3.0 boundary
(this needs a separate thread to discuss)?